## org.exist.xquery.test
Class SeqOpTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.SeqOpTest

All Implemented Interfaces:
  junit.framework.Test

public class SeqOpTest
extends junit.framework.TestCase

Constructor Summary
`SeqOpTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testInsertAtomic1()`
`void` `testInsertAtomic2()`
`void` `testInsertAtomic3()`
`void` `testInsertEmpty1()`
`void` `testInsertEmpty2()`
`void` `testInsertEmpty3()`
`void` `testInsertMixed1()`
`void` `testInsertMixed2()`
`void` `testInsertNodes1()`
`void` `testInsertNodes2()`
`void` `testInsertNodes3()`
`void` `testInsertNodes4()`
`void` `testInsertOutOfBounds1()`
`void` `testInsertOutOfBounds2()`
`void` `testInsertOutOfBounds3()`
`void` `testRemoveAtomic1()`
`void` `testRemoveAtomic2()`
`void` `testRemoveAtomic3()`
`void` `testRemoveEmpty1()`
`void` `testRemoveEmpty2()`
`void` `testRemoveEmpty3()`
`void` `testRemoveMixed1()`
`void` `testRemoveMixed2()`
`void` `testRemoveMixed3()`
`void` `testRemoveNodes1()`
`void` `testRemoveNodes2()`
`void` `testRemoveNodes3()`
`void` `testRemoveOutOfBounds1()`
`void` `testRemoveOutOfBounds2()`
`void` `testRemoveOutOfBounds3()`
`void` `testReverseAtomic1()`
`void` `testReverseAtomic2()`
`void` `testReverseEmpty()`
`void` `testReverseMixed()`
`void` `testReverseNodes1()`
`void` `testReverseNodes2()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeqOpTest

    public SeqOpTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testReverseEmpty

    public void testReverseEmpty()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testReverseAtomic1

    public void testReverseAtomic1()
                            throws XMLDBException

  Throws:
    `XMLDBException`

### testReverseAtomic2

    public void testReverseAtomic2()
                            throws XMLDBException

  Throws:
    `XMLDBException`

### testReverseNodes1

    public void testReverseNodes1()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testReverseNodes2

    public void testReverseNodes2()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testReverseMixed

    public void testReverseMixed()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveEmpty1

    public void testRemoveEmpty1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveEmpty2

    public void testRemoveEmpty2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveEmpty3

    public void testRemoveEmpty3()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveOutOfBounds1

    public void testRemoveOutOfBounds1()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveOutOfBounds2

    public void testRemoveOutOfBounds2()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveOutOfBounds3

    public void testRemoveOutOfBounds3()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveAtomic1

    public void testRemoveAtomic1()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveAtomic2

    public void testRemoveAtomic2()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveAtomic3

    public void testRemoveAtomic3()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveMixed1

    public void testRemoveMixed1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveMixed2

    public void testRemoveMixed2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveMixed3

    public void testRemoveMixed3()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveNodes1

    public void testRemoveNodes1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveNodes2

    public void testRemoveNodes2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testRemoveNodes3

    public void testRemoveNodes3()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertEmpty1

    public void testInsertEmpty1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertEmpty2

    public void testInsertEmpty2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertEmpty3

    public void testInsertEmpty3()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertOutOfBounds1

    public void testInsertOutOfBounds1()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertOutOfBounds2

    public void testInsertOutOfBounds2()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertOutOfBounds3

    public void testInsertOutOfBounds3()
                                throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertAtomic1

    public void testInsertAtomic1()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertAtomic2

    public void testInsertAtomic2()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertAtomic3

    public void testInsertAtomic3()
                           throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertNodes1

    public void testInsertNodes1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertNodes2

    public void testInsertNodes2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertNodes3

    public void testInsertNodes3()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertNodes4

    public void testInsertNodes4()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertMixed1

    public void testInsertMixed1()
                          throws XMLDBException

  Throws:
    `XMLDBException`

### testInsertMixed2

    public void testInsertMixed2()
                          throws XMLDBException

  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.